Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.spi
Class NullContextWithUpdateThread

    java.lang.Object
      org.apache.hadoop.metrics.spi.AbstractMetricsContext
          org.apache.hadoop.metrics.spi.NullContextWithUpdateThread

All Implemented Interfaces:
  MetricsContext

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class NullContextWithUpdateThread

extends AbstractMetricsContext

A null context which has a thread calling periodically when monitoring is started. This keeps the data sampled correctly. In all other respects, this is like the NULL context: No data is emitted. This is suitable for Monitoring systems like JMX which reads the metrics when someone reads the data from JMX. The default impl of start and stop monitoring: is the AbstractMetricsContext is good enough.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`AbstractMetricsContext.MetricMap, AbstractMetricsContext.TagMap`

Field Summary

Fields inherited from interface org.apache.hadoop.metrics.MetricsContext
`DEFAULT_PERIOD`

Constructor Summary
`NullContextWithUpdateThread()` Deprecated. Creates a new instance of NullContextWithUpdateThread

Method Summary
`protected void` | `emitRecord(String contextName, String recordName, OutputRecord outRec)` Deprecated. Do-nothing version of emitRecord
`void` | `init(String contextName, ContextFactory factory)` Deprecated. Initializes the context.
`protected void` | `remove(MetricsRecordImpl record)` Deprecated. Do-nothing version of remove
`protected void` | `update(MetricsRecordImpl record)` Deprecated. Do-nothing version of update

Methods inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`close, createRecord, flush, getAllRecords, getAttribute, getAttributeTable, getContextFactory, getContextName, getPeriod, isMonitoring, newRecord, parseAndSetPeriod, registerUpdater, setPeriod, startMonitoring, stopMonitoring, unregisterUpdater`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullContextWithUpdateThread

    @InterfaceAudience.Private
    public NullContextWithUpdateThread()

  Deprecated.
  Creates a new instance of NullContextWithUpdateThread

Method Detail

### init

    @InterfaceAudience.Private
    public void init(String contextName,
                                               ContextFactory factory)

  Deprecated.
  Description copied from class: `AbstractMetricsContext`
  Initializes the context.

  Specified by:
    `init` in interface `MetricsContext`
  Overrides:
    `init` in class `AbstractMetricsContext`
  Parameters:
    `contextName` - The given name for this context
    `factory` - The creator of this context

### emitRecord

    @InterfaceAudience.Private
    protected void emitRecord(String contextName,
                                                        String recordName,
                                                        OutputRecord outRec)

  Deprecated.
  Do-nothing version of emitRecord

  Specified by:
    `emitRecord` in class `AbstractMetricsContext`

### update

    @InterfaceAudience.Private
    protected void update(MetricsRecordImpl record)

  Deprecated.
  Do-nothing version of update

  Overrides:
    `update` in class `AbstractMetricsContext`

### remove

    @InterfaceAudience.Private
    protected void remove(MetricsRecordImpl record)

  Deprecated.
  Do-nothing version of remove

  Overrides:
    `remove` in class `AbstractMetricsContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation